LibreOffice: Diagram Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
Diagram Service Reference
Inheritance diagram for Diagram:

## Exported Interfaces
interface | ::com::sun::star::chart2::XDiagram
interface | ::com::sun::star::chart2::XCoordinateSystemContainer
interface | XTitled
| gives access to the sub title of a chart document
interface | ::com::sun::star::chart::X3DDefaultSetter
| makes it easy to set suitable defaults for illumination and rotation for 3D charts

## Public Attributes
::com::sun::star::chart2::RelativePosition | RelativePosition
| The position is as a relative position on the page.
::com::sun::star::chart2::RelativeSize | RelativeSize
| The size of the diagram as relative size of the page size.
boolean | PosSizeExcludeLabels
| The attributes RelativePosition and RelativeSize should be used for the inner coordinate region without axis labels and without data labels.
boolean | SortByXValues
| Sort data points by x values for rendering.
boolean | ConnectBars
| Draw connection lines for stacked bar charts.
boolean | GroupBarsPerAxis
| If bars of a bar or column chart are attached to different axis, this property determines how to display those.
long | StartingAngle
| Starting angle in degrees for pie charts and doughnut charts.
boolean | RightAngledAxes
boolean | DataTableHBorder
| Chart Datatable flags.
boolean | DataTableVBorder
boolean | DataTableOutline
long | Perspective
| Perspective of 3D charts ( [0,100] ).
long | RotationHorizontal
| Horizontal rotation of 3D charts in degrees ( ]-180,180] ).
long | RotationVertical
| Vertical rotation of 3D charts in degrees ( ]-180,180] ).
long | MissingValueTreatment
| specifies how empty or invalid cells in the provided data should be handled when displayed
string | ExternalData

## Additional Inherited Members
Public Member Functions inherited from XDiagram
com::sun::star::beans::XPropertySet | getWall ()
| returns the property set that determines the visual appearance of the wall.
com::sun::star::beans::XPropertySet | getFloor ()
| returns the property set that determines the visual appearance of the floor if any.
XLegend | getLegend ()
| returns the legend, which may represent data series and other information about a diagram in a separate box.
void | setLegend ([in] XLegend xLegend)
| sets a new legend.
XColorScheme | getDefaultColorScheme ()
| returns an XColorScheme that defines the default colors for data series (or data points) in the diagram.
void | setDefaultColorScheme ([in] XColorScheme xColorScheme)
| sets an XColorScheme that defines the default colors for data series (or data points) in the diagram.
void | setDiagramData ([in] com::sun::star::chart2::data::XDataSource xDataSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| sets new data to the diagram.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCoordinateSystemContainer
void | addCoordinateSystem ([in] XCoordinateSystem aCoordSys) raises ( com::sun::star::lang::IllegalArgumentException )
| add a coordinate system to the coordinate system container
void | removeCoordinateSystem ([in] XCoordinateSystem aCoordSys) raises ( com::sun::star::container::NoSuchElementException )
| removes one coordinate system from the coordinate system container.
sequence< XCoordinateSystem > | getCoordinateSystems ()
| retrieve all coordinate systems
void | setCoordinateSystems ([in] sequence< XCoordinateSystem > aCoordinateSystems) raises ( com::sun::star::lang::IllegalArgumentException )
| set all coordinate systems
Public Member Functions inherited from XTitled
XTitle | getTitleObject ()
| get the object holding the title's content and formatting
void | setTitleObject ([in] XTitle Title)
| set a new title object replacing the former one
Protected Member Functions inherited from X3DDefaultSetter
void | set3DSettingsToDefault ()
| The result may depend on the current chart type and the current shade mode.
void | setDefaultRotation ()
| sets a suitable default for the rotation of the current 3D chart.
void | setDefaultIllumination ()
| set suitable defaults for the illumination of the current 3D chart.

## Exported Interfaces

## ◆ ::com::sun::star::chart2::XCoordinateSystemContainer

interface ::com::sun::star::chart2::XCoordinateSystemContainer

## ◆ ::com::sun::star::chart2::XDiagram

interface ::com::sun::star::chart2::XDiagram

## ◆ ::com::sun::star::chart::X3DDefaultSetter

interface ::com::sun::star::chart::X3DDefaultSetter
| optional

makes it easy to set suitable defaults for illumination and rotation for 3D charts

## ◆ XTitled

interface XTitled

gives access to the sub title of a chart document

## Member Data Documentation

## ◆ ConnectBars

boolean ConnectBars
| optionalproperty

Draw connection lines for stacked bar charts.

## ◆ DataTableHBorder

boolean DataTableHBorder
| optionalproperty

Chart Datatable flags.

## ◆ DataTableOutline

boolean DataTableOutline
| optionalproperty

## ◆ DataTableVBorder

boolean DataTableVBorder
| optionalproperty

## ◆ ExternalData

string ExternalData
| optionalproperty

## ◆ GroupBarsPerAxis

boolean GroupBarsPerAxis
| optionalproperty

If bars of a bar or column chart are attached to different axis, this property determines how to display those.

If `TRUE`, the bars are grouped together in one block for each axis, thus they are painted one group over the other.

If `FALSE`, the bars are displayed side-by-side, as if they were all attached to the same axis.

If all data series of a bar or column chart are attached to only one axis, this property has no effect.

## ◆ MissingValueTreatment

long MissingValueTreatment
| optionalproperty

specifies how empty or invalid cells in the provided data should be handled when displayed

See also
  com::sun::star::chart::MissingValueTreatment

## ◆ Perspective

long Perspective
| optionalproperty

Perspective of 3D charts ( [0,100] ).

## ◆ PosSizeExcludeLabels

boolean PosSizeExcludeLabels
| optionalproperty

The attributes RelativePosition and RelativeSize should be used for the inner coordinate region without axis labels and without data labels.

## ◆ RelativePosition

::com::sun::star::chart2::RelativePosition RelativePosition
| propertymaybevoid

The position is as a relative position on the page.

If a relative position is given the diagram is not automatically placed, but instead is placed relative on the page.

## ◆ RelativeSize

::com::sun::star::chart2::RelativeSize RelativeSize
| property

The size of the diagram as relative size of the page size.

## ◆ RightAngledAxes

boolean RightAngledAxes
| optionalproperty

## ◆ RotationHorizontal

long RotationHorizontal
| optionalproperty

Horizontal rotation of 3D charts in degrees ( ]-180,180] ).

## ◆ RotationVertical

long RotationVertical
| optionalproperty

Vertical rotation of 3D charts in degrees ( ]-180,180] ).

## ◆ SortByXValues

boolean SortByXValues
| optionalproperty

Sort data points by x values for rendering.

## ◆ StartingAngle

long StartingAngle
| optionalproperty

Starting angle in degrees for pie charts and doughnut charts.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/Diagram.idl